<!--
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<div class="block-content">
    <!-- ko if: getCartParam('summary_count') -->
    <div data-action="scroll" class="minicart-items-wrapper">
        <ol id="mini-cart" class="minicart-items" data-bind="foreach: { data: getCartParam('items'), as: 'item' }">
            <!-- ko foreach: $parent.getRegion($parent.getItemRenderer(item.product_type)) -->
                <!-- ko template: {name: getTemplate(), data: item, afterRender: function() {$parents[1].initSidebar()}} --><!-- /ko -->
            <!-- /ko -->
        </ol>
    </div>
    <!-- /ko -->
            <ifnot args="getCartParam('summary_count')">
            <strong class="subtitle empty"
                    translate="'You have no items in your shopping cart.'"
            />
            <if args="getCartParam('cart_empty_message')">
                <p class="minicart empty text" text="getCartParam('cart_empty_message')"/>
                <div class="actions">
                    <div class="secondary">
                        <a class="action viewcart" data-bind="attr: {href: shoppingCartUrl}">
                            <span translate="'View and Edit Cart'"/>
                        </a>
                    </div>
                </div>
            </if>
        </ifnot>
    <!-- ko if: getCartParam('summary_count') -->
    <div class="actions">
        <!-- ko if: getCartParam('possible_onepage_checkout') -->
            <!-- ko foreach: getRegion('subtotalContainer') -->
                <!-- ko template: getTemplate() --><!-- /ko -->
            <!-- /ko -->
        <!-- /ko -->

        <!-- ko foreach: getRegion('extraInfo') -->
            <!-- ko template: getTemplate() --><!-- /ko -->
        <!-- /ko -->

        <!-- ko if: getCartParam('possible_onepage_checkout') -->
        <div class="actions">
            <div class="primary">
                <button
                        id="top-cart-btn-checkout"
                        type="button"
                        class="action primary btn btn-primary"
                        data-bind="attr: {title: $t('Go to Checkout')}">
                    <!-- ko i18n: 'Check Out' --><!-- /ko -->
                </button>
                <!-- ko if: getCartParam('ispromotion') -->
                <div data-bind="html: getCartParam('extra_actions')"></div>
                <!-- /ko -->
            </div>
        </div>
        <div class="continue-shop">
          <a href="/" class="btn btn-outline">Continue Shopping</a>
        </div>
        <!-- /ko -->
    </div>
    <!-- /ko -->

    <div id="minicart-widgets" class="minicart-widgets">
        <!-- ko foreach: getRegion('promotion') -->
            <!-- ko template: getTemplate() --><!-- /ko -->
        <!-- /ko -->
    </div>
</div>
<!-- ko foreach: getRegion('sign-in-popup') -->
<!-- ko template: getTemplate() --><!-- /ko -->
<!-- /ko -->
